Loading...
Searching...
No Matches
test.h File Reference
`#include "Halide.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal
namespace | Halide::Internal::Autoscheduler

## Macros

#define | HALIDE_KEEP_MACROS
#define | EXPECT_EQ(expected, actual)
#define | APPROX_EQ(expected, actual, epsilon)
#define | EXPECT(expected)

## Functions

template<typename A, typename B>
void | Halide::Internal::Autoscheduler::expect_eq (int line, const A &expected, const B &actual)
template<typename A, typename B>
void | Halide::Internal::Autoscheduler::approx_eq (int line, const A &expected, const B &actual, float epsilon)
template<typename A>
void | Halide::Internal::Autoscheduler::expect (int line, const A &expected)

## Macro Definition Documentation

## HALIDE_KEEP_MACROS

#define HALIDE_KEEP_MACROS

Definition at line 4 of file test.h.

## EXPECT_EQ

#define EXPECT_EQ | ( |  | expected,
|  |  | actual )

Value:
expect_eq(__LINE__, expected, actual)

Definition at line 11 of file test.h.

## APPROX_EQ

#define APPROX_EQ | ( |  | expected,
|  |  | actual,
|  |  | epsilon )

Value:
approx_eq(__LINE__, expected, actual, epsilon)

Definition at line 12 of file test.h.

## EXPECT

#define EXPECT | ( |  | expected | ) |

Value:
expect(__LINE__, expected)

Definition at line 13 of file test.h.